# -*- coding: utf-8 -*-
##############################################################################
#
#    lhc module for OpenERP, Customize OpenERP for L'Heureux Cyclage Copyright
#    (C) 2013-2017 L'Heureux Cyclage (<http://www.heureux-cyclage.org>)
#
#    This file is a part of lhc_custom_oe
#
#    lhc_custom_oe is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    lhc_custom_oe is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import osv
from openerp.osv import orm
from openerp.osv import fields

import openerp.addons.decimal_precision as dp

class res_partner(orm.Model):
    _inherit = 'res.partner'

    _columns = {
        'usual_contact': fields.boolean('Usual contact', help='This contact is a usual contact for L\'Heureux Cyclage employees. This field can be used to discriminated contacts for differents usages.'),
        'kit_sent': fields.boolean('Welcome kit sent'),
    }

    _defaults = {
        'kit_sent': lambda *a: False,
    }

class product_template(orm.Model):
    _inherit = 'product.template'

    _columns = {
        'standard_price': fields.float('Cost', digits_compute=dp.get_precision('Product Price'), help="Cost price of the product used for standard stock valuation in accounting and used as a base price on purchase orders.", groups="base.group_user,lhc.group_volunteer"),
    }

class res_users(orm.Model):
    _inherit = 'res.users'

    def onchange_partner_id(self, cr, uid, ids, partner_id, login):
        """Define user email address from partner email address"""
        v = {}
        partners = self.pool.get('res.partner')
        partner = partners.browse(cr, uid, partner_id)
        import pdb
        pdb.set_trace()
        if partner.email:
            v['email'] = partner.email
        else:
            v = {}
        return {'value': v}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
